﻿* Encoding: UTF-8.
* Fecha de elaboración: 13 de Diciembre de 2018
* Fecha última modificación: 17 de Diciembre de 2018
********************************************************************************
* Software estadístico: SPSS 24
********************************************************************************
* Elaborado por: DEAGA.

*==============================================================================*.
************************************Calculo de Tabulados APA 2017*****************************************************.
*==============================================================================*
*1.-Formas de abastecimiento y distribución de agua apta para el consumo humano a la población del cantón 2017
*MA221_RP_ZU         2.2.- Formas de distribución de agua a la población del cantón: 1. Red Pública: Zona Urbana.
*MA221_RP_ZR         2.2.- Formas de distribución de agua a la población del cantón: 1. Red Pública: Zona Rural.
*MA226_PPLL_ZU     2.2.- Formas de distribución de agua a la población del cantón: 2. Pila/Pileta/Llave pública: Zona Urbana.
*MA226_PPLL_ZR     2.2.- Formas de distribución de agua a la población del cantón: 2. Pila/Pileta/Llave pública: Zona Rural.
*MA226_CT_ZU         2.2.- Formas de distribución de agua a la población del cantón: 3. Carro repartidor/Triciclo: Zona Urbana.
*MA226_CT_ZR         2.2.- Formas de distribución de agua a la población del cantón: 3. Carro repartidor/Triciclo: Zona Rural.
*MA226_OTRO_ZU    2.2.- Formas de distribución de agua a la población del cantón: 4. Otro ¿Otro?: Zona Urbana.
*MA226_OTRO_ZR    2.2.- Formas de distribución de agua a la población del cantón: 4. Otro ¿Otro?: Zona Rural.

* Calculo del tabulado.
DATASET ACTIVATE ConjuntoDatos1.
if (MA221_RP_ZU = 1 or MA221_RP_ZR = 1) RPUBLICA =1.
if (MA226_PPLL_ZU = 1 or MA226_PPLL_ZR = 1) PPLL =1.
if (MA226_CT_ZU = 1 or MA226_CT_ZR = 1) CR =1.
recode RPUBLICA PPLL CR ( sysmis = 2).
alter type RPUBLICA PPLL CR (f1.0).
variable labels RPUBLICA 'Red pública'.
variable labels PPLL 'Pila / Pileta / Llave Púlica'.
variable labels CR 'Carro repartidor / Triciclo'.
value labels RPUBLICA PPLL CR
1 'Si' 2 'No'.
variable width RPUBLICA PPLL CR (10).

MRSETS
  /MDGROUP NAME=$Abas_agua LABEL='Abastecimiento de agua' CATEGORYLABELS=VARLABELS 
    VARIABLES=RPUBLICA PPLL CR VALUE=1
  /DISPLAY NAME=[$Abas_agua].

CTABLES 
  /FORMAT EMPTY='-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov $Abas_agua DISPLAY=LABEL 
  /TABLE Nacional [COUNT F40.0, ROWPCT.VALIDN PCT40.2] + regiont [COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] + Prov [COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY $Abas_agua 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=$Abas_agua EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES 
    TITLE='Formas de abastecimiento y distribución de agua apta para el consumo humano a la '+ 
    'población del cantón: 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
* 2.- Municipios que cuentan con excedente de producción de agua apta para el consumo humano 2017.
*MA251         2.5.1. Tiene un excedente en la producción de agua para su(s) sistema(s).

*Calculo del tabulado.
compute MCEP = MA251.
recode MCEP ( sysmis = 2).
alter type MCEP (f1.0).
value labels MCEP 1'Si' 2 'No'.
variable labels MCEP 'Tiene un excedente en la producción de agua para su(s) sistema(s)'.
variable width MCEP (15).

CTABLES 
  /FORMAT EMPTY= '-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MCEP DISPLAY=LABEL 
  /TABLE Nacional [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + regiont [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
   + Prov [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY MCEP [C] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MCEP ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Municipios que cuentan con excedente de producción de agua apta para el consumo humano: 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
*3.- Volumen de agua cruda que ingresa a la planta de tratamiento: 2017.
*MA3164CI           3.1.6.4 Total Caudal de ingreso de agua cruda (l/s) 
*MA3165VAC       3.1.6.5 Volumen de agua cruda que ingresa a la planta (m3 /año)

*Calculo del tabulado.
CTABLES 
  /FORMAT EMPTY= '-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA3164CI MA3165VAC DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA3164CI [S][SUM] + MA3165VAC [S][SUM] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    TITLE='Volumen de agua cruda que ingresa a la planta de tratamiento: 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
* 4.-Municipios que realizan monitoreo de calidad de agua apta para el consumo humano 2017.
* MA3231     3.2.3.1 Monitorea la calidad de agua potable distribuida:.

*Calculo del tabulado.
CTABLES 
  /FORMAT EMPTY= '-' MISSING='.' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA3231 DISPLAY=LABEL 
  /TABLE Nacional [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] + regiont [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] 
   + Prov [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY MA3231 [C] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MA3231 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Municipios que realizan monitoreo de calidad de agua apta para el consumo humano:2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
* 5.- Volumen de agua de consumo autorizado que no se factura (agua entregada a consumidores autorizados Ej. Bomberos, parques, etc.) 2016.
*MA510 5.10 Volumen de agua de consumo autorizado que no se factura 
*(agua entregada a consumidores autorizados Ej. Bomberos, parques, etc.) (m3/mes).

*Calculo del tabulado.
CTABLES 
  /FORMAT EMPTY= '-' MISSING='' 
  /SMISSING VARIABLE 
  /VLABELS VARIABLES=Nacional regiont Prov MA537 DISPLAY=LABEL 
  /TABLE Nacional [C] + regiont [C] + Prov [C] BY MA537 [SUM, COLPCT.SUM PCT40.2,VALIDN] 
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES 
    TITLE='Volumen de agua de consumo autorizado que no se factura (agua entregada a consumidores autorizados Ej. Bomberos, parques, etc.) 2017' 
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*
* 6, 7, 8.- Gad municipal cuenta con Alcantarillado: sanitario, combinado , pluvial: 2016.
*MA4311         4.3.1.1  Alcantarillado Sanitario.
*MA4312         4.3.1.2  Alcantarillado Combinado.
*MA4313         4.3.1.3  Alcantarillado Pluvial.

* Calculo del tabulado.
compute ASAN = MA4311.
recode ASAN ( sysmis = 3).
value labels ASAN 
1'Si' 2'No' 3'No tiene alcantarillado'.
variable labels ASAN 'Municipio con alcantarillado sanitario'.

CTABLES
  /FORMAT EMPTY= '-' MISSING='.'
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov ASAN DISPLAY=LABEL
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY ASAN
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=ASAN ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Gads municipales con Alcantarillado sanitario 2017'
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

compute ACOM = MA4312.
recode ACOM ( sysmis = 3).
value labels ACOM 
1'Si' 2'No' 3'No tiene alcantarillado'.
variable labels ACOM 'Municipio con alcantarillado combinado'.

CTABLES
  /FORMAT EMPTY= '-' MISSING='.'
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov ACOM DISPLAY=LABEL
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY ACOM
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=ACOM ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Gads municipales con Alcantarillado combinado 2017'
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

compute APLU = MA4313.
recode APLU ( sysmis = 3).
value labels APLU 
1'Si' 2'No' 3'No tiene alcantarillado'.
variable labels APLU 'Municipio con alcantarillado pluvial'.

CTABLES
  /FORMAT EMPTY= '-' MISSING='.'
  /SMISSING VARIABLE
  /VLABELS VARIABLES=Nacional regiont Prov APLU DISPLAY=LABEL
  /TABLE Nacional [COUNT F40.0, ROWPCT.COUNT PCT40.2] + regiont [COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    + Prov [COUNT F40.0, ROWPCT.COUNT PCT40.2] BY APLU
  /CATEGORIES VARIABLES=Nacional regiont Prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=APLU ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Gads municipales con Alcantarillado pluvial 2017'
    CAPTION='Fuente: AME-INEC. 2017, Registro de Gestión de Agua Potable y Alcantarillado'.

*==============================================================================*










